myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Swathi (JIRA)" <...@myfaces.apache.org>
Subject [jira] [Created] (TRINIDAD-2519) myfaces-api-2.2.6.jar,myfaces-impl-2.2.6.jar,trinidad-api-2.1.0.jar,trinidad-impl-2.1.0.jar
Date Thu, 05 Feb 2015 06:00:47 GMT
Swathi created TRINIDAD-2519:
--------------------------------

             Summary: myfaces-api-2.2.6.jar,myfaces-impl-2.2.6.jar,trinidad-api-2.1.0.jar,trinidad-impl-2.1.0.jar
                 Key: TRINIDAD-2519
                 URL: https://issues.apache.org/jira/browse/TRINIDAD-2519
             Project: MyFaces Trinidad
          Issue Type: Bug
    Affects Versions: 2.1.0-core
         Environment: myfaces-api-2.2.6.jar,
myfaces-impl-2.2.6.jar,
trinidad-api-2.1.0.jar,
trinidad-impl-2.1.0.jar

Appserver:Websphere 8.5.5.1
IDE:RAD
JDK:Appserver provided JDK1.7_64
            Reporter: Swathi


On upgrading the jars to the trinidad 2.1.0 we are getting the Following exception on server
startup.

We are using the myfaces and trinidad jars in the Application/WEB-INF/lib.

5 8:10:59:823 EST] 000000b1 annotations   E   CWWAM0003E: An exception occurred while validating
an annotation: com.ibm.wsspi.amm.validate.ValidationException: SRVE8016E: The @MultipartConfig
annotation cannot be applied to the class, javax.faces.webapp.FacesServlet, because it extends
the wrong super class
com.ibm.wsspi.amm.validate.ValidationException: SRVE8016E: The @MultipartConfig annotation
cannot be applied to the class, javax.faces.webapp.FacesServlet, because it extends the wrong
super class
                at com.ibm.ws.webcontainer.annotation.validator.MultipartConfigValidator.validateClassAnnotation(MultipartConfigValidator.java:44)
                at com.ibm.ws.webcontainer.annotation.validator.MultipartConfigValidator.validateClassAnnotation(MultipartConfigValidator.java:39)




--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message